/*                                                                -*- C -*-
   +----------------------------------------------------------------------+
   | PHP Version 7                                                        |
   +----------------------------------------------------------------------+
   | Copyright (c) 1997-2017 The PHP Group                                |
   +----------------------------------------------------------------------+
   | This source file is subject to version 3.01 of the PHP license,      |
   | that is bundled with this package in the file LICENSE, and is        |
   | available through the world-wide-web at the following url:           |
   | http://www.php.net/license/3_01.txt                                  |
   | If you did not receive a copy of the PHP license and are unable to   |
   | obtain it through the world-wide-web, please send a note to          |
   | license@php.net so we can mail you a copy immediately.               |
   +----------------------------------------------------------------------+
   | Author: Stig Sther Bakken <ssb@php.net>                             |
   +----------------------------------------------------------------------+
*/

/* $Id$ */

#define CONFIGURE_COMMAND " './configure'  '--with-apxs2=/ffp/apache/bin/apxs' '--prefix=/ffp' '--sbindir=/ffp/bin' '--sysconfdir=/ffp/etc/php' '--enable-fpm' '--with-layout=GNU' '--with-config-file-path=/ffp/etc/php' '--with-config-file-scan-dir=/ffp/etc/php/conf.d' '--enable-hash' '--enable-session' '--enable-posix=shared' '--enable-sockets=shared' '--enable-sysvsem=shared' '--enable-calendar=shared' '--enable-ctype=shared' '--enable-dom=shared' '--with-gd=shared' '--enable-gd-native-ttf' '--enable-xmlreader=shared' '--enable-libxml' '--enable-simplexml=shared' '--enable-soap=shared' '--with-libxml-dir=/ffp' '--enable-mbstring=shared' '--enable-mbregex=shared' '--enable-tokenizer=shared' '--enable-ftp=shared' '--enable-pcntl' '--with-pcre-regex=/ffp' '--with-pcre-dir=/ffp' '--with-sqlite3=shared,/ffp' '--with-pdo-sqlite=shared,/ffp' '--with-pdo-mysql=shared,/ffp' '--with-mysql-sock=/ffp/var/run/mysqld/mysqld.sock' '--with-mysqli=shared,/ffp/bin/mysql_config' '--with-zlib=/ffp' '--with-zlib-dir=/ffp' '--enable-zip=shared,/ffp' '--with-bz2=shared,/ffp' '--with-openssl=/ffp' '--with-openssl-dir=/ffp' '--with-gdbm=shared,/ffp' '--with-gmp=shared,/ffp' '--with-curl=shared,/ffp' '--with-jpeg-dir=/ffp' '--with-png-dir=/ffp' '--enable-exif=shared,/ffp' '--with-freetype-dir=/ffp' '--with-gettext=shared,/ffp' '--with-iconv=shared,/ffp' '--with-iconv-dir=/ffp' '--with-icu-dir=/ffp' '--enable-intl=shared' '--with-readline=/ffp' '--with-xmlrpc=shared' '--with-xsl=shared,/ffp'"
#define PHP_ADA_INCLUDE		""
#define PHP_ADA_LFLAGS		""
#define PHP_ADA_LIBS		""
#define PHP_APACHE_INCLUDE	""
#define PHP_APACHE_TARGET	""
#define PHP_FHTTPD_INCLUDE      ""
#define PHP_FHTTPD_LIB          ""
#define PHP_FHTTPD_TARGET       ""
#define PHP_CFLAGS		"$(CFLAGS_CLEAN) "
#define PHP_DBASE_LIB		""
#define PHP_BUILD_DEBUG		""
#define PHP_GDBM_INCLUDE	""
#define PHP_IBASE_INCLUDE	""
#define PHP_IBASE_LFLAGS	""
#define PHP_IBASE_LIBS		""
#define PHP_IFX_INCLUDE		""
#define PHP_IFX_LFLAGS		""
#define PHP_IFX_LIBS		""
#define PHP_INSTALL_IT		"$(mkinstalldirs) '$(INSTALL_ROOT)/ffp/apache/modules' &&                 $(mkinstalldirs) '$(INSTALL_ROOT)/ffp/apache/conf' &&                  /ffp/apache/bin/apxs -S LIBEXECDIR='$(INSTALL_ROOT)/ffp/apache/modules'                        -S SYSCONFDIR='$(INSTALL_ROOT)/ffp/apache/conf'                        -i -a -n php7 libphp7.la"
#define PHP_IODBC_INCLUDE	""
#define PHP_IODBC_LFLAGS	""
#define PHP_IODBC_LIBS		""
#define PHP_MSQL_INCLUDE	""
#define PHP_MSQL_LFLAGS		""
#define PHP_MSQL_LIBS		""
#define PHP_MYSQL_INCLUDE	"@MYSQL_INCLUDE@"
#define PHP_MYSQL_LIBS		"@MYSQL_LIBS@"
#define PHP_MYSQL_TYPE		"@MYSQL_MODULE_TYPE@"
#define PHP_ODBC_INCLUDE	""
#define PHP_ODBC_LFLAGS		""
#define PHP_ODBC_LIBS		""
#define PHP_ODBC_TYPE		""
#define PHP_OCI8_SHARED_LIBADD 	""
#define PHP_OCI8_DIR			""
#define PHP_OCI8_ORACLE_VERSION		""
#define PHP_ORACLE_SHARED_LIBADD 	"@ORACLE_SHARED_LIBADD@"
#define PHP_ORACLE_DIR				"@ORACLE_DIR@"
#define PHP_ORACLE_VERSION			"@ORACLE_VERSION@"
#define PHP_PGSQL_INCLUDE	""
#define PHP_PGSQL_LFLAGS	""
#define PHP_PGSQL_LIBS		""
#define PHP_PROG_SENDMAIL	"/ffp/sbin/sendmail"
#define PHP_SOLID_INCLUDE	""
#define PHP_SOLID_LIBS		""
#define PHP_EMPRESS_INCLUDE	""
#define PHP_EMPRESS_LIBS	""
#define PHP_SYBASE_INCLUDE	""
#define PHP_SYBASE_LFLAGS	""
#define PHP_SYBASE_LIBS		""
#define PHP_DBM_TYPE		""
#define PHP_DBM_LIB		""
#define PHP_LDAP_LFLAGS		""
#define PHP_LDAP_INCLUDE	""
#define PHP_LDAP_LIBS		""
#define PHP_BIRDSTEP_INCLUDE     ""
#define PHP_BIRDSTEP_LIBS        ""
#define PEAR_INSTALLDIR         "/ffp/share/pear"
#define PHP_INCLUDE_PATH	".:/ffp/share/pear"
#define PHP_EXTENSION_DIR       "/ffp/lib/php/20160303-zts"
#define PHP_PREFIX              "/ffp"
#define PHP_BINDIR              "/ffp/bin"
#define PHP_SBINDIR             "/ffp/bin"
#define PHP_MANDIR              "/ffp/share/man"
#define PHP_LIBDIR              "/ffp/lib/php"
#define PHP_DATADIR             "/ffp/share/php"
#define PHP_SYSCONFDIR          "/ffp/etc/php"
#define PHP_LOCALSTATEDIR       "/ffp/var"
#define PHP_CONFIG_FILE_PATH    "/ffp/etc/php"
#define PHP_CONFIG_FILE_SCAN_DIR    "/ffp/etc/php/conf.d"
#define PHP_SHLIB_SUFFIX        "so"
